--- old/usr/src/uts/common/crypto/io/rsa.c	sam. juil. 16 15:13:46 2016
+++ new/usr/src/uts/common/crypto/io/rsa.c	sam. juil. 16 15:13:46 2016
@@ -58,8 +58,8 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	(void *)&modlcrypto,
-	NULL
+	{   (void *)&modlcrypto,
+	    NULL }
 };
 
 /*
@@ -274,27 +274,27 @@
 	rsa_free_context
 };
 
-static crypto_ops_t rsa_crypto_ops = {
-	&rsa_control_ops,
-	NULL,
-	&rsa_cipher_ops,
-	NULL,
-	&rsa_sign_ops,
-	&rsa_verify_ops,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	&rsa_ctx_ops,
-	NULL,
-	NULL,
-	NULL,
-};
+static crypto_ops_t rsa_crypto_ops = {{{{{{
+				&rsa_control_ops,
+				NULL,
+				&rsa_cipher_ops,
+				NULL,
+				&rsa_sign_ops,
+				&rsa_verify_ops,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				&rsa_ctx_ops },	/* cou_v1 */
+			NULL },			/* cou_v2 */
+		NULL },				/* cou_v3 */
+	NULL }					/* cou_v4 */
+}};
 
-static crypto_provider_info_t rsa_prov_info = {
+static crypto_provider_info_t rsa_prov_info = {{{{
 	CRYPTO_SPI_VERSION_4,
 	"RSA Software Provider",
 	CRYPTO_SW_PROVIDER,
@@ -303,7 +303,7 @@
 	&rsa_crypto_ops,
 	sizeof (rsa_mech_info_tab)/sizeof (crypto_mech_info_t),
 	rsa_mech_info_tab
-};
+}}}};
 
 static int rsa_encrypt_common(rsa_mech_type_t, crypto_key_t *,
     crypto_data_t *, crypto_data_t *);
